#
# spec file for package python-bsddb3
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bsddb3
Version:        6.1.0
Release:        7.5
Url:            http://pypi.python.org/pypi/bsddb3
Summary:        Python interface for Berkeley DB
License:        BSD-3-Clause
Group:          Development/Libraries/Python

#Freecode-URL:	http://freecode.com/projects/bsddb3
#Hg-Clone:	http://hg.jcea.es/pybsddb/
Source:         http://pypi.python.org/packages/source/b/bsddb3/bsddb3-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  db-devel
BuildRequires:  python-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
for the Database Environment, Database, Cursor, Log Cursor, Sequence and
Transaction objects, and each of these is exposed as a Python type in the
bsddb3.db module.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description devel
This module provides a nearly complete wrapping of the Oracle/Sleepycat C API
for the Database Environment, Database, Cursor, Log Cursor, Sequence and
Transaction objects, and each of these is exposed as a Python type in the
bsddb3.db module.

This package contains the development files for %{name}

%prep
%setup -q -n bsddb3-%{version}
sed -i "1d" Lib/bsddb/dbshelve.py # Fix non-executable bits

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}%{python_sitearch}/bsddb3/tests # Remove wrongly packaged tests

# Disabled testsuite, takes quite some time to finish:
#%%check
#python test.py

%files
%defattr(-,root,root,-)
%doc ChangeLog licenses.txt LICENSE.txt README.txt TODO.txt docs/*.rst docs/*.png docs/html/*
%{python_sitearch}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/python*/bsddb3

%changelog
* Mon Jul 28 2014 mlin@suse.com
- Packaged licenses.txt LICENSE.txt README.txt
* Fri Jul 25 2014 mlin@suse.com
- Update to 6.1.0. Changes from 6.0.0
  * Support Berkeley DB 6.1.x.
  * Solve a ResourceWarning when compiling.
  * Drop support for Python 2.4, 2.5 and 3.1. If you need compatibility
    with those versions, you can keep using old releases of these bindings.
  * Drop support for Berkeley DB 4.3, 4.4, 4.5, 4.6. If you need compatibility
    with those versions, you can keep using old releases of these bindings.
  * From now, on our support reference is Red Had Enterprise Linux 6.
  * Drop modules attributes "cvsid".
  * Drop (hidden) $Id$ keyword in the documentation.
  * Clarification of license. This work is now explicitly licensed under 3-clause BSD license.
  * Fixed a long standing bug (August 2008, rev 9fd52748fa59) on "dbtables.py".
  * If you want to link with Oracle Berkeley DB 6.0, you will need to create the
    environment variable 'YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION' to
    signal to the pybsddb that you are legal. To be legal, your code MUST be
    AGPL3 *OR* you have to buy a commercial license from Oracle.
- Change license to BSD-3-Clause according to upstream changes
- Removed python-bsddb3.keyring and .asc file
* Sat Jun 22 2013 jengelh@inai.de
- Update to new upstream release 6.0.0
  * Support for BDB 6.0.19
  * HEADS UP: If you are using "bsddb3._bsddb" in your code, for
  example for exceptions, change it to "bsddb3._db".
- Removed bsddb3-db6.diff (rendered obsolete)
* Sat Jun 15 2013 jengelh@inai.de
- Add bsddb3-db6.diff to make setup[23].py look for BDB 6.0
- Signature verification
* Wed Jan 16 2013 mlin@suse.com
- Removed BuildArch: noarch macro
* Mon Jan 14 2013 saschpe@suse.de
- Simplify macro usage
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 11 2013 mlin@suse.com
- Update to version 5.3.0
  * Support Berkeley DB 5.3.x.
  * Drop support for Berkeley DB 4.2 and Python 2.3. Our reference
    is Red Had Enterprise Linux 5, until march 2014. After that,
    RHEL6 has Python 2.6 and BDB 4.7.
  * According to
    http://superuser.com/questions/189931/python-and-berkeley-db-versions-in-redhat-enterprise-linux-3-4-5-and-upcoming-6:
  * RHEL3: Python 2.2.3, BDB 4.1.25
  * RHEL4: Python 2.3.4, BDB 4.2.52
  * RHEL5: Python 2.4.3, BDB 4.3.29
  * RHEL6: Python 2.6.2, BDB 4.7.25
  * Support for "DBEnv->set_intermediate_dir()", available in
    Berkeley DB 4.3-4.6.  Patch by Garret Cooper.
  * Support for "DB->set_dup_compare()".  Original patches by
    Nikita M. Kozlovsky and Ben Schmeckpeper.
  * Fixed a testsuite compatibility problem with BDB 5.2.
  * If we are running Solaris or derivatives, and 64bit python,
    try to find the library under "/usr/local/Berkeley.*.*/64/".
  * Solaris 10 Update 10 exposes a very old race condition in the
    replication master election tests. Some details in
    https://forums.oracle.com/forums/thread.jspa?messageID=9902860 .
    Workaround proposed in a private email from Paula Bingham (Oracle),
    in 20110929.
  * When doing the full matrix test for a release, stop the verification
    if any test failed.
* Wed Sep 21 2011 saschpe@suse.de
- Update to version 5.2.0:
  * Support for Berkeley DB 5.2.
  * Support for the newly available replication manager events:
    DB_EVENT_REP_SITE_ADDED, DB_EVENT_REP_SITE_REMOVED,
    DB_EVENT_REP_LOCAL_SITE_REMOVED, DB_EVENT_REP_CONNECT_BROKEN,
    DB_EVENT_REP_CONNECT_ESTD, DB_EVENT_REP_CONNECT_TRY_FAILED,
    DB_EVENT_REP_INIT_DONE.
  * New Object: "DB_SITE". Support for all its methods.
  * Parameters for "DB_SITE->set_config()": DB_BOOTSTRAP_HELPER,
    DB_GROUP_CREATOR, DB_LEGACY, DB_LOCAL_SITE, DB_REPMGR_PEER.
  * Support for some stuff in the new "Dynamic Environment Configuration":
    DB_MEM_LOCK, DB_MEM_LOCKOBJECT, DB_MEM_LOCKER, DB_MEM_LOGID,
    DB_MEM_TRANSACTION, DB_MEM_THREAD.
  * Add "bytes" to "DBEnv_memp_stat()". Original patch from Garrett Cooper.
- Spec file cleanup:
  * Split of devel package for headers
  * Don't package tests
  * Fix non-executable bits
* Thu Nov 18 2010 hvogel@novell.com
  * Testsuite for "DB->get_transactional()" should not create databases
  outside the TMP directory, neither leave the files behind.
  * If something happens while creating the CObject/Capsule object,
  keep going, even without exporting the C API, instead of crashing.
  * Support for:
  * "DB_FORCESYNC", "DB_FAILCHK", "DB_SET_REG_TIMEOUT",
  * "DB_TXN_BULK", "DB_HOTBACKUP_IN_PROGRESS".
  * "DB_EVENT_REG_ALIVE", "DB_EVENT_REG_PANIC",
  * "DB_EVENT_REP_DUPMASTER", "DB_REPMGR_CONF_ELECTIONS",
  * "DB_EVENT_REP_ELECTION_FAILED", "DB_EVENT_REP_MASTER_FAILURE".
  * "DB_VERB_REP_ELECT", "DB_VERB_REP_LEASE", "DB_VERB_REP_MISC",
  * "DB_VERB_REP_MSGS", "DB_VERB_REP_SYNC", "DB_VERB_REP_SYSTEM",
  * "DB_VERB_REPMGR_CONNFAIL", "DB_VERB_REPMGR_MISC".
  * "DB_STAT_LOCK_CONF", "DB_STAT_LOCK_LOCKERS",
  * "DB_STAT_LOCK_OBJECTS", "DB_STAT_LOCK_PARAMS".
  * "DB_REP_CONF_INMEM", "DB_TIMEOUT ", "DB_CURSOR_BULK".
  * "DB->get_transactional()", "DB_REPMGR_ACKS_ALL_AVAILABLE"
  * Support for Berkeley DB 5.1.
  * Drop support for Berkeley DB 4.1
  * Include processed HTML documentation in the EGG.
  * Some link fixes for external documentation.
  * Links added in the documentation to Oracle Berkeley DB programmer
  reference.
* Wed Nov 10 2010 coolo@novell.com
- fix file list
* Wed Sep 29 2010 rhafer@novell.com
- Use generic db-devel in BuildRequires instead of libdb-4_5-devel.
* Tue Jun 22 2010 hvogel@novell.com
- Initial Package, Version 5.0.0
